<?php

/*
Plugin Name: Events Optimizer
Plugin URI: https://www.heinrich.biz
Description: Use AI to create engaging descriptions for your events, venues and organizers. Add automatically events from Google Events. Easily update address information and eliminate the hassle of managing incorrect or outdated details by automating the optimization of data with just a few clicks. remove duplicate venues or organizers. Requires The Events Calendar Plugin.
Version: 1.5.1
Author: Oliver Heinrich
Text Domain: events-optimizer
Domain Path: /languages
*/
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) {
    exit;
}
//----------------------------------------------------------------------------------------
// Load Freemius SDK
// https://www.freemius.com
//----------------------------------------------------------------------------------------
if ( function_exists( 'teo_fs' ) ) {
    // Free version will be deactivated when the Pro version will been activated
    // $pro_version = (strpos(__FILE__, 'events-optimizer-pro/events-optimizer.php') !== false);
    // teo_fs()->set_basename( $pro_version, __FILE__ );
    teo_fs()->set_basename( false, __FILE__ );
} else {
    // DO NOT REMOVE THIS IF, IT IS ESSENTIAL FOR THE `function_exists` CALL ABOVE TO PROPERLY WORK.
    if ( !function_exists( 'teo_fs' ) ) {
        // Create a helper function for easy SDK access.
        function teo_fs() {
            global $teo_fs;
            if ( !isset( $teo_fs ) ) {
                // Include Freemius SDK.
                require_once dirname( __FILE__ ) . '/vendor/freemius/start.php';
                $teo_fs = fs_dynamic_init( array(
                    'id'             => '8391',
                    'slug'           => 'events-optimizer',
                    'premium_slug'   => 'events-optimizer-pro',
                    'type'           => 'plugin',
                    'public_key'     => 'pk_94f588954e6ff1b7a22a3734cae8a',
                    'is_premium'     => false,
                    'has_addons'     => false,
                    'has_paid_plans' => true,
                    'trial'          => array(
                        'days'               => 7,
                        'is_require_payment' => true,
                    ),
                    'menu'           => array(
                        'slug'           => 'events_optimizer',
                        'override_exact' => true,
                        'first-path'     => 'edit.php?post_type=tribe_events&page=events_optimizer&tab=tab-4',
                        'support'        => false,
                        'parent'         => array(
                            'slug' => 'edit.php?post_type=tribe_events',
                        ),
                    ),
                    'is_live'        => true,
                ) );
            }
            return $teo_fs;
        }

        // Init Freemius.
        teo_fs();
        // Signal that SDK was initiated.
        do_action( 'teo_fs_loaded' );
        function teo_fs_settings_url() {
            return admin_url( 'edit.php?post_type=tribe_events&page=events_optimizer&tab=tab-4' );
        }

        teo_fs()->add_filter( 'connect_url', 'teo_fs_settings_url' );
        teo_fs()->add_filter( 'after_skip_url', 'teo_fs_settings_url' );
        teo_fs()->add_filter( 'after_connect_url', 'teo_fs_settings_url' );
        teo_fs()->add_filter( 'after_pending_connect_url', 'teo_fs_settings_url' );
    }
    // Include the main plugin file
    require_once plugin_dir_path( __FILE__ ) . 'main.php';
}